Draft SelectPlane/tr: Difference between revisions

From FreeCAD Documentation
(Updating to match new version of source page)
No edit summary
(2 intermediate revisions by one other user not shown)
Line 4: Line 4:
|[[Draft_Shape2DView|Shape2DView]]
|[[Draft_Shape2DView|Shape2DView]]
|[[Draft_SetStyle|SetStyle]]
|[[Draft_SetStyle|SetStyle]]
|[[Draft_Module|Draft]]
|[[Draft_Workbench|Draft]]
|IconL=Draft_Shape2DView.svg
|IconL=Draft_Shape2DView.svg
|IconR=Draft_SetStyle.svg
|IconR=Draft_SetStyle.svg
Line 11: Line 11:


<div class="mw-translate-fuzzy">
<div class="mw-translate-fuzzy">
{{GuiCommand/tr
{{GuiCommand/tr|Name=Draft SelectPlane|Name/tr=Çalışma düzlemini ayarla|Workbenches=[[Draft Module/tr|Draft]], [[Arch Module/tr|Arch]]|MenuLocation=Draft → Utilities → Select Plane}}
|Name=Draft SelectPlane
|Name/tr=Çalışma düzlemini ayarla
|MenuLocation=Draft → Utilities → Select Plane
|Workbenches=[[Draft_Workbench/tr|Draft]], [[Arch_Workbench/tr|Arch]]
}}
</div>
</div>


==Description==
==Description==


The [[Image:Draft_SelectPlane.svg|24px]] '''Draft SelectPlane''' command selects the current Draft working plane. This is the plane in the [[3D_view|3D view]] where new [[Draft_Module|Draft]] objects are created. A new working plane can be based on one of several [[#Usage_with_presets|presets]] or on a selection. The selection can be created before ([[#Usage_with_pre-selection|pre-selection]]) or after ([[#Usage_with_post-selection|post-selection]]) starting the command.
The [[Image:Draft_SelectPlane.svg|24px]] '''Draft SelectPlane''' command selects the current Draft working plane. This is the plane in the [[3D_view|3D view]] where new [[Draft_Workbench|Draft]] objects are created. A new working plane can be based on one of several [[#Usage_with_presets|presets]] or on a selection. The selection can be created before ([[#Usage_with_pre-selection|pre-selection]]) or after ([[#Usage_with_post-selection|post-selection]]) starting the command.


[[Image:WorkingPlane_example.png|400px]]
[[Image:WorkingPlane_example.png|400px]]
Line 25: Line 30:
# Do one of the following:
# Do one of the following:
#* Select a single object. The following objects are supported:
#* Select a single object. The following objects are supported:
#** [[Draft_WorkingPlaneProxy|Draft WorkingPlaneProxies]]: the {{PropertyView|View Data}} (the camera position) and the {{PropertyView|Visibility Map}} (the saved visibility of objects) of the WP proxy are also restored.
#** [[Draft_WorkingPlaneProxy|Draft WorkingPlaneProxies]]: the {{PropertyView|View Data}} (the camera position) and the {{PropertyView|Visibility Map}} (the saved visibility of objects) of the working plane proxy are also restored.
#** [[Arch_BuildingPart|Arch BuildingParts]].
#** [[Arch_BuildingPart|Arch BuildingParts]].
#** [[Arch_SectionPlane|Arch SectionPlanes]].
#** [[Arch_SectionPlane|Arch SectionPlanes]].
Line 74: Line 79:
* Press the {{Button|[[Image:View-right.svg|16px]] Side (YZ)}} button to align the working plane with the YZ plane of the global coordinate system.
* Press the {{Button|[[Image:View-right.svg|16px]] Side (YZ)}} button to align the working plane with the YZ plane of the global coordinate system.
* Press the {{Button|[[Image:View-isometric.svg|16px]] Align to view}} button to align the working plane with the current [[3D_view|3D view]]. If the {{MenuCommand|Center plane on view}} checkbox is unchecked the working plane origin will match the origin of the global coordinate system, else it will match the center of the current [[3D_view|3D view]].
* Press the {{Button|[[Image:View-isometric.svg|16px]] Align to view}} button to align the working plane with the current [[3D_view|3D view]]. If the {{MenuCommand|Center plane on view}} checkbox is unchecked the working plane origin will match the origin of the global coordinate system, else it will match the center of the current [[3D_view|3D view]].
* Press the {{Button|[[Image:View-axonometric.svg|16px]] Automatic}} button to automatically align the working plane with the current [[3D_view|3D view]] whenever a Draft or [[Arch_Module|Arch]] command requiring point input is started. This is equivalent to pressing the {{Button|[[Image:View-isometric.svg|16px]] Align to view}} button before using the command.
* Press the {{Button|[[Image:View-axonometric.svg|16px]] Automatic}} button to automatically align the working plane with the current [[3D_view|3D view]] whenever a Draft or [[Arch_Workbench|Arch]] command requiring point input is started. This is equivalent to pressing the {{Button|[[Image:View-isometric.svg|16px]] Align to view}} button before using the command.
* The {{MenuCommand|Offset}} defines the perpendicular distance between the calculated plane and the actual working plane.
* The {{MenuCommand|Offset}} defines the perpendicular distance between the calculated plane and the actual working plane.
* Check the {{MenuCommand|Center plane on view}} checkbox to put the origin of the working plane in the center of to the current [[3D_view|3D view]]. This option really only makes sense if the {{Button|[[Image:View-isometric.svg|16px]] Align to view}} button is used.
* Check the {{MenuCommand|Center plane on view}} checkbox to put the origin of the working plane in the center of to the current [[3D_view|3D view]]. This option really only makes sense if the {{Button|[[Image:View-isometric.svg|16px]] Align to view}} button is used.
Line 104: Line 109:
See also: [https://freecad.github.io/SourceDoc/ Autogenerated API documentation] and [[FreeCAD Scripting Basics|FreeCAD Scripting Basics]].
See also: [https://freecad.github.io/SourceDoc/ Autogenerated API documentation] and [[FreeCAD Scripting Basics|FreeCAD Scripting Basics]].


If the [[Draft_Module|Draft Workbench]] is active the FreeCAD application object has a {{incode|DraftWorkingPlane}} property which stores the current Draft working plane. You can access this property and apply transformations to it:
If the [[Draft_Workbench|Draft Workbench]] is active the FreeCAD application object has a {{incode|DraftWorkingPlane}} property which stores the current Draft working plane. You can access this property and apply transformations to it:


{{Code|code=
{{Code|code=
Line 141: Line 146:
|[[Draft_Shape2DView|Shape2DView]]
|[[Draft_Shape2DView|Shape2DView]]
|[[Draft_SetStyle|SetStyle]]
|[[Draft_SetStyle|SetStyle]]
|[[Draft_Module|Draft]]
|[[Draft_Workbench|Draft]]
|IconL=Draft_Shape2DView.svg
|IconL=Draft_Shape2DView.svg
|IconR=Draft_SetStyle.svg
|IconR=Draft_SetStyle.svg

Revision as of 19:03, 4 September 2021

Çalışma düzlemini ayarla

Menü konumu
Draft → Utilities → Select Plane
Tezgahlar
Draft, Arch
Varsayılan kısayol
Hiçbiri
Versiyonda tanıtıldı
-
Ayrıca bkz
Hiçbiri

Description

The Draft SelectPlane command selects the current Draft working plane. This is the plane in the 3D view where new Draft objects are created. A new working plane can be based on one of several presets or on a selection. The selection can be created before (pre-selection) or after (post-selection) starting the command.

Shapes created on different working planes

Usage with pre-selection

  1. Do one of the following:
    • Select a single object. The following objects are supported:
    • Select one or more subelements. You can select:
      • A flat face.
      • Three vertices.
      • A circular edge.
      • Two straight edges that are co-planar but not co-linear.
      • A straight edge and a vertex that does not lie on the (extended) edge.
  2. There are several ways to invoke the command:
    • Press the Draft SelectPlane button in the Draft Tray. Depending on the current working plane this button can look different.
    • Select the Utilities → Select Plane option from the menu.
    • Use the keyboard shortcut: W then P.
  3. The working plane and the button in the Draft Tray are updated.

Usage with post-selection

  1. There are several ways to invoke the command:
    • Press the Draft SelectPlane button in the Draft Tray. Depending on the current working plane this button can look different.
    • Select the Utilities → Select Plane option from the menu.
    • Use the keyboard shortcut: W then P.
  2. The Working plane setup task panel opens. See Options for more information.
  3. Do one of the following:
    • Select a single object. See the previous paragraph for the supported objects.
    • Select one or more subelements. You can select:
      • A flat face.
      • Three vertices.
  4. Click anywhere in the 3D view to confirm the selection and finish the command.
  5. The working plane and the button in the Draft Tray are updated.

Usage with presets

  1. There are several ways to invoke the command:
    • Press the Draft SelectPlane button in the Draft Tray. Depending on the current working plane this button can look different.
    • Select the Utilities → Select Plane option from the menu.
    • Use the keyboard shortcut: W then P.
  2. The Working plane setup task panel opens. See Options for more information.
  3. Press any of the buttons to finish the command.
  4. The working plane and the button in the Draft Tray are updated.

Options

  • Press the Top (XY) button to align the working plane with the XY plane of the global coordinate system.
  • Press the Front (XZ) button to align the working plane with the XZ plane of the global coordinate system.
  • Press the Side (YZ) button to align the working plane with the YZ plane of the global coordinate system.
  • Press the Align to view button to align the working plane with the current 3D view. If the Center plane on view checkbox is unchecked the working plane origin will match the origin of the global coordinate system, else it will match the center of the current 3D view.
  • Press the Automatic button to automatically align the working plane with the current 3D view whenever a Draft or Arch command requiring point input is started. This is equivalent to pressing the Align to view button before using the command.
  • The Offset defines the perpendicular distance between the calculated plane and the actual working plane.
  • Check the Center plane on view checkbox to put the origin of the working plane in the center of to the current 3D view. This option really only makes sense if the Align to view button is used.
  • Select a vertex in the 3D view and press the Move working plane button to move the working plane so that its origin matches the position of the selected vertex.
  • The Grid spacing defines the distance between grid lines.
  • The Main line every value determines where main grid lines are drawn. Main grid lines are slightly thicker than normal grid lines. For example if the grid spacing is 0.5 m and there is a main line every 10 lines, such a line will occur every 5 m.
  • The Grid extension value determines the number of grid lines in the X and Y direction of the grid.
  • The Snapping radius is the maximum distance at which Draft Snap Grid detects the intersections of grid lines.
  • Press the Center view button to use the origin of the current working plane as the center of the 3D view.
  • Press the Previous button to reset the working plane to its previous position.
  • Press Esc or the Close button to abort the command.

Notes

  • It can be useful to align the 3D view with the selected Draft working plane. For example after switching the working plane to Front you may want to switch to the Front view as well.
  • The grid can be toggled with the Draft ToggleGrid command.
  • By double-clicking Draft WorkingPlaneProxies in the Tree view you can quickly switch between working planes.

Preferences

See also: Preferences Editor and Draft Preferences.

  • The grid settings in the task panel as well as several other grid settings are available as preferences: Edit → Preferences... → Draft → Grid and snapping → Grid.
  • To use the grid the Edit → Preferences... → Draft → Grid and snapping → Grid → Use grid option must be selected. After changing this preference you must restart FreeCAD.
  • The Snapping radius can also be changed on-the-fly (see Draft Snap) or by changing: Tools → Edit parameters... → BaseApp → Preferences → Mod → Draft → snapRange.

Scripting

See also: Autogenerated API documentation and FreeCAD Scripting Basics.

If the Draft Workbench is active the FreeCAD application object has a DraftWorkingPlane property which stores the current Draft working plane. You can access this property and apply transformations to it:

# This code only works if the Draft Workbench is active!

import FreeCAD as App
import FreeCADGui as Gui

workplane = App.DraftWorkingPlane

v1 = App.Vector(0, 0, 0)
v2 = App.Vector(1, 1, 1).normalize()

workplane.alignToPointAndAxis(v1, v2, 17)
Gui.Snapper.toggleGrid()
Gui.Snapper.toggleGrid()

It is also possible to create planes independently of the Draft working plane. This can be useful for calculations and projections:

import WorkingPlane

my_plane = WorkingPlane.plane()

v1 = App.Vector(0, 0, 0)
v2 = App.Vector(1, 1, 1).normalize()
my_plane.alignToPointAndAxis(v1, v2, 17)

projection = my_plane.projectPoint(App.Vector(10, 15, 2))
print(projection)